Package org.eclipse.gef.mvc.fx.parts

# Class DefaultSelectionFeedbackPartFactory

java.lang.Object
org.eclipse.gef.mvc.fx.parts.DefaultSelectionFeedbackPartFactory

All Implemented Interfaces:
  `IFeedbackPartFactory`

public class DefaultSelectionFeedbackPartFactory extends Object implements IFeedbackPartFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Color`
`DEFAULT_PRIMARY_SELECTION_FEEDBACK_COLOR`
Defines the default `Color` for primary selection feedback.
`static final Color`
`DEFAULT_SECONDARY_SELECTION_FEEDBACK_COLOR`
Defines the default `Color` for secondary selection feedback.
`static final String`
`PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER`
The binding name for the primary selection color.
`static final String`
`SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER`
The binding name for the secondary selection color.
`static final String`
`SELECTION_FEEDBACK_GEOMETRY_PROVIDER`
The role name for the `Provider<IGeometry>` that will be used to generate selection feedback.
`static final String`
`SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER`
The role name for the `Provider<IGeometry>` that will be used to generate selection link feedback.

## Constructor Summary

Constructors
Constructor
Description
`DefaultSelectionFeedbackPartFactory()`

## Method Summary

Modifier and Type
Method
Description
`List<IFeedbackPart<? extends Node>>`
`createFeedbackParts(List<? extends IVisualPart<? extends Node>> targets, Map<Object,Object> contextMap)`
Creates specific `IFeedbackPart`s for the given targets.
`protected IFeedbackPart<? extends Node>`
`createLinkFeedbackPart(IVisualPart<? extends Node> anchorage, Provider<? extends IGeometry> anchorageLinkFeedbackGeometryProvider, IVisualPart<? extends Node> anchored, Provider<? extends IGeometry> anchoredLinkFeedbackGeometryProvider, String role)`
Creates a feedback-line between an anchored part and its anchorage.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER

public static final String PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER
The binding name for the primary selection color.

See Also:
  - Constant Field Values

### DEFAULT_PRIMARY_SELECTION_FEEDBACK_COLOR

public static final Color DEFAULT_PRIMARY_SELECTION_FEEDBACK_COLOR
Defines the default `Color` for primary selection feedback.

### SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER

public static final String SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER
The binding name for the secondary selection color.

See Also:
  - Constant Field Values

### DEFAULT_SECONDARY_SELECTION_FEEDBACK_COLOR

public static final Color DEFAULT_SECONDARY_SELECTION_FEEDBACK_COLOR
Defines the default `Color` for secondary selection feedback.

### SELECTION_FEEDBACK_GEOMETRY_PROVIDER

public static final String SELECTION_FEEDBACK_GEOMETRY_PROVIDER
The role name for the `Provider<IGeometry>` that will be used to generate selection feedback.

See Also:
  - Constant Field Values

### SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER

public static final String SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER
The role name for the `Provider<IGeometry>` that will be used to generate selection link feedback.

See Also:
  - Constant Field Values

## Constructor Details

### DefaultSelectionFeedbackPartFactory

public DefaultSelectionFeedbackPartFactory()

## Method Details

### createFeedbackParts

public List<IFeedbackPart<? extends Node>> createFeedbackParts(List<? extends IVisualPart<? extends Node>> targets, Map<Object,Object> contextMap)
Description copied from interface: `IFeedbackPartFactory`
Creates specific `IFeedbackPart`s for the given targets. As additional information might be needed by the `IFeedbackPartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Specified by:
  `createFeedbackParts` in interface `IFeedbackPartFactory`
Parameters:
  `targets` - The target `IVisualPart`s for which feedback is to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IFeedbackPart`s that are to be used to indicate feedback for the given targets.

### createLinkFeedbackPart

protected IFeedbackPart<? extends Node> createLinkFeedbackPart(IVisualPart<? extends Node> anchorage, Provider<? extends IGeometry> anchorageLinkFeedbackGeometryProvider, IVisualPart<? extends Node> anchored, Provider<? extends IGeometry> anchoredLinkFeedbackGeometryProvider, String role)
Creates a feedback-line between an anchored part and its anchorage.

Parameters:
  `anchorageLinkFeedbackGeometryProvider` - The geometry provider of the anchorage part.
  `anchored` - The anchored `IVisualPart`.
  `anchoredLinkFeedbackGeometryProvider` - The link feedback provider of the anchored part.
  `anchorage` - The anchorage `IVisualPart`. The role under which the anchorage is stored at the anchored.
  `role` - The role under which the anchored is attached to the anchorage.
Returns:
  The `IFeedbackPart` for this anchor link, or `null` if no feedback should be rendered.